import 'package:get/get.dart';
import 'package:trans_lark/page/index/index_view.dart';
import 'package:trans_lark/page/p2p/p2p_binding.dart';
import 'package:trans_lark/page/p2p/p2p_view.dart';
import 'package:trans_lark/page/scene_category/scene_category_binding.dart';
import 'package:trans_lark/page/scene_category/scene_category_view.dart';
import 'package:trans_lark/page/scene_category_item/scene_category_item_binding.dart';
import 'package:trans_lark/page/scene_category_item/scene_category_item_view.dart';
import 'package:trans_lark/page/translator/translator_binding.dart';
import 'package:trans_lark/page/translator/translator_view.dart';
import 'package:trans_lark/page/translator_record/translator_record_binding.dart';
import 'package:trans_lark/page/translator_record/translator_record_view.dart';
import 'package:trans_lark/page/translator_result/translator_result_binding.dart';
import 'package:trans_lark/page/translator_result/translator_result_view.dart';
import 'package:trans_lark/page/web_page/web_page_binding.dart';
import 'package:trans_lark/page/web_page/web_page_view.dart';

class GetRouter {
  static const splash = '/';
  static const index = '/index';
  static const sceneCategory = '/scene_category';
  static const sceneList = '/scene_list';
  static const translate = '/translate';
  static const p2p = '/p2p';
  static const translateResult = '/translate_result';
  static const translateRecord = '/translate_record';
  static const terms = '/terms';
  static const privacy = '/privacy';

  static List<GetPage> routers = [
    // GetPage(
    //   name: splash,
    //   page: () => SplashView(),
    //   binding: SplashBinding(),
    // ),
    //首页
    GetPage(
      name: index,
      page: () => IndexView(),
    ),
    GetPage(
      name: sceneCategory,
      page: () => SceneCategoryView(),
      binding: SceneCategoryBinding(),
    ),
    GetPage(
      name: sceneList,
      page: () => const SceneCategoryItemView(),
      binding: SceneCategoryItemBinding(),
    ),
    //翻译输入页面
    GetPage(
      name: translate,
      page: () => const TranslatorView(),
      binding: TranslatorBinding(),
    ),
    //翻译结果页
    GetPage(
      name: translateResult,
      page: () => const TranslatorResultView(),
      binding: TranslatorResultBinding(),
    ),
    //翻译历史页面
    GetPage(
      name: translateRecord,
      page: () => const TranslatorRecordView(),
      binding: TranslatorRecordBinding(),
    ),
    // 面对面翻译
    GetPage(
      name: p2p,
      page: () => const P2PView(),
      binding: P2PBinding(),
    ),
    // 隐私政策
    GetPage(
      name: privacy,
      page: () => const WebPageView(),
      binding: WebPageBinding(),
    ),
    // 用户协议
    GetPage(
      name: terms,
      page: () => const WebPageView(),
      binding: WebPageBinding(),
    ),
  ];
}
